VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::vapi::metadata::metamodel::PrimitiveValue::Type Class Reference

The `PrimitiveValue.Type` enumerated type defines the valid types for values in constant elements. More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, BOOLEAN, DOUBLE, LONG, STRING }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static Type[] | GetValues ()
static Type | ValueOf (string name)
## Static Public Attributes
static readonly Type | BOOLEAN = new Type("BOOLEAN", Values.BOOLEAN)
| Indicates the value is a boolean (true or false).
static readonly Type | DOUBLE = new Type("DOUBLE", Values.DOUBLE)
| Indicates the value is a double (64 bit floating number).
static readonly Type | LONG = new Type("LONG", Values.LONG)
| Indicates the value is a long (64 bit signed integer).
static readonly Type | STRING = new Type("STRING", Values.STRING)
| Indicates the value is a string (a variable length sequence of characters).

## Detailed Description

The `PrimitiveValue.Type` enumerated type defines the valid types for values in constant elements.

## Member Enumeration Documentation

enum vmware::vapi::metadata::metamodel::PrimitiveValue::Type::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  BOOLEAN | Indicates the value is a boolean (true or false).
  DOUBLE | Indicates the value is a double (64 bit floating number).
  LONG | Indicates the value is a long (64 bit signed integer).
  STRING | Indicates the value is a string (a variable length sequence of characters). The encoding is UTF8.

## Member Function Documentation

Values vmware::vapi::metadata::metamodel::PrimitiveValue::Type::GetEnumValue | ( |  | ) | `[inline]`

static Type [] vmware::vapi::metadata::metamodel::PrimitiveValue::Type::GetValues | ( |  | ) | `[inline, static]`

bool vmware::vapi::metadata::metamodel::PrimitiveValue::Type::IsUnknown | ( |  | ) | `[inline]`

static Type vmware::vapi::metadata::metamodel::PrimitiveValue::Type::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly Type vmware::vapi::metadata::metamodel::PrimitiveValue::Type::BOOLEAN = new Type("BOOLEAN", Values.BOOLEAN)`[static]`

Indicates the value is a boolean (true or false).

readonly Type vmware::vapi::metadata::metamodel::PrimitiveValue::Type::DOUBLE = new Type("DOUBLE", Values.DOUBLE)`[static]`

Indicates the value is a double (64 bit floating number).

readonly Type vmware::vapi::metadata::metamodel::PrimitiveValue::Type::LONG = new Type("LONG", Values.LONG)`[static]`

Indicates the value is a long (64 bit signed integer).

readonly Type vmware::vapi::metadata::metamodel::PrimitiveValue::Type::STRING = new Type("STRING", Values.STRING)`[static]`

Indicates the value is a string (a variable length sequence of characters).

The encoding is UTF8.

The documentation for this class was generated from the following file:

- PrimitiveValue.cs